#!/bin/sh

# This script creates a XPI file.

# The structure of an Installable Bundle is documented on-line at:
# https://developer.mozilla.org/en/Bundles  Note that Iceweasel
# 3.0.12 on Debian x86 is unable to find the library if gcc4 is used
# in place of gcc3 or if the library name is not truncated to .so.
# Also running from the GNOME taskbar does not include the DB2
# run-time in the LD_LIBRARY_PATH which causes the library to fail to
# load with no errors reported.  Running from a shell with the
# LD_LIBRARY_PATH set resolves this.  DB2 run-time libraries should be
# statically linked however static verions are not including with DB2
# v9.5 Express/C.

# As per https://developer.mozilla.org/en/OS_TARGET
OS_TARGET=`uname -s`

# As per https://developer.mozilla.org/en/XPCOM_ABI
CPU_ARCH=`uname -m`
TARGET_COMPILER_ABI=gcc3
TARGET_XPCOM_ABI=${CPU_ARCH}-${TARGET_COMPILER_ABI}

# As per https://developer.mozilla.org/en/Bundles
PLATFORM_STRING=${OS_TARGET}_${TARGET_XPCOM_ABI}

install -D ../.libs/libflumapplugin.so.0.0.0 \
platform/${PLATFORM_STRING}/plugins/libflumapplugin.so

# ZIP is used make the extension as per the instructions at:
# https://developer.mozilla.org/en/Extension_Packaging
zip -r flumap.xpi \
install.rdf \
platform/*
